( cd usr/bin ; rm -rf mailq )
( cd usr/bin ; ln -sf ../../usr/sbin/sendmail mailq )
( cd usr/bin ; rm -rf newaliases )
( cd usr/bin ; ln -sf ../../usr/sbin/sendmail newaliases )
( cd usr/lib ; rm -rf sendmail )
( cd usr/lib ; ln -sf /usr/sbin/sendmail sendmail )
( cd usr/doc ; rm -rf postfix )
( cd usr/doc ; ln -sf postfix-3.4.8 postfix )
( cd etc/postfix ; rm -rf aliases )
( cd etc/postfix ; ln -sf ../aliases aliases )

#
# check postfix accounts
#
if [ -z "`grep postfix /etc/group`" ]; then
    groupadd -g 91 postfix
fi
if [ -z "`grep postdrop /etc/group`" ]; then
    groupadd -g 92 postdrop
fi
if [ -z "`grep postfix /etc/passwd`" ]; then
    useradd -u 91 -g 91 -d /no/where -s /no/shell -c "Postfix Account" postfix
fi

config() {
    NEW="$1"
    OLD="`dirname $NEW`/`basename $NEW .new`"
    # If there's no config file by that name, mv it over:
    if [ ! -r $OLD ]; then
	mv $NEW $OLD
    elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
	rm $NEW
    fi
    # Otherwise, we leave the .new copy for the admin to consider...
}
config etc/postfix/access.new
config etc/postfix/aliases.new
config etc/postfix/canonical.new
config etc/postfix/generic.new
config etc/postfix/header_checks.new
config etc/postfix/main.cf.new
config etc/postfix/master.cf.new
config etc/postfix/relocated.new
config etc/postfix/transport.new
config etc/postfix/virtual.new
config etc/rc.d/rc.sendmail.new

